## org.red5.server.script.jython
Class JythonScriptFactory

    java.lang.Object
      org.red5.server.script.jython.JythonScriptFactory

All Implemented Interfaces:
  ScriptFactory

    public class JythonScriptFactory

extends Object
implements ScriptFactory

`ScriptFactory` implementation for a Python script.

Author:
  Yan Weng
See Also:
  A prototype of Jython ScriptFactory for Spring Framework

Constructor Summary
`JythonScriptFactory(String scriptSourceLocator)`
`JythonScriptFactory(String scriptSourceLocator, Class[] scriptInterfaces)`
`JythonScriptFactory(String scriptSourceLocator, Class[] scriptInterfaces, Object[] arguments)`

Method Summary
`Object` `getScriptedObject(ScriptSource scriptSourceLocator, Class[] scriptInterfaces)`
`Class` `getScriptedObjectType(ScriptSource src)`
`Class[]` `getScriptInterfaces()`
`String` `getScriptSourceLocator()`
`boolean` `requiresConfigInterface()`
`boolean` `requiresScriptedObjectRefresh(ScriptSource src)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JythonScriptFactory

    public JythonScriptFactory(String scriptSourceLocator)

### JythonScriptFactory

    public JythonScriptFactory(String scriptSourceLocator,
                               Class[] scriptInterfaces)

### JythonScriptFactory

    public JythonScriptFactory(String scriptSourceLocator,
                               Class[] scriptInterfaces,
                               Object[] arguments)

Method Detail

### getScriptSourceLocator

    public String getScriptSourceLocator()

  Specified by:
    `getScriptSourceLocator` in interface `ScriptFactory`

### getScriptInterfaces

    public Class[] getScriptInterfaces()

  Specified by:
    `getScriptInterfaces` in interface `ScriptFactory`

### requiresConfigInterface

    public boolean requiresConfigInterface()

  Specified by:
    `requiresConfigInterface` in interface `ScriptFactory`

### getScriptedObject

    public Object getScriptedObject(ScriptSource scriptSourceLocator,
                                    Class[] scriptInterfaces)
                             throws IOException,
                                    ScriptCompilationException

  Specified by:
    `getScriptedObject` in interface `ScriptFactory`
  Throws:
    `IOException`
    `ScriptCompilationException`

### getScriptedObjectType

    public Class getScriptedObjectType(ScriptSource src)
                                throws IOException,
                                       ScriptCompilationException

  Specified by:
    `getScriptedObjectType` in interface `ScriptFactory`
  Throws:
    `IOException`
    `ScriptCompilationException`

### requiresScriptedObjectRefresh

    public boolean requiresScriptedObjectRefresh(ScriptSource src)

  Specified by:
    `requiresScriptedObjectRefresh` in interface `ScriptFactory`

Copyright © 2006-2010 The Red5 Project